Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.math
Class MultipleTestCorrection

    java.lang.Object
      baseCode.math.MultipleTestCorrection

public class MultipleTestCorrection
extends java.lang.Object

Methods for p-value correction of sets of hypothesis tests.

Copyright (c) 2004

Institution:: Columbia University

Version:
  $Id: MultipleTestCorrection.java,v 1.6 2004/07/27 03:18:57 pavlidis Exp $
Author:
  Paul Pavlidis

Constructor Summary
`MultipleTestCorrection()`

Method Summary
`static double` | `BenjaminiHochbergCut(cern.colt.list.DoubleArrayList pvalues, double fdr)` Benjamini-Hochberg method.
`static double` | `BonferroniCut(cern.colt.list.DoubleArrayList pvalues, double fwe)` Determine the Bonferroni pvalue threshold to maintain the family wise error rate (assuming pvalues are independent).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleTestCorrection

    public MultipleTestCorrection()

Method Detail

### BonferroniCut

    public static double BonferroniCut(cern.colt.list.DoubleArrayList pvalues,
                                       double fwe)

  Determine the Bonferroni pvalue threshold to maintain the family wise error rate (assuming pvalues are independent).

  Parameters:
    `pvalues` - The pvalues
    `fwe` - The family wise error rate
  Returns:
    The minimum pvalue that maintains the FWE

### BenjaminiHochbergCut

    public static double BenjaminiHochbergCut(cern.colt.list.DoubleArrayList pvalues,
                                              double fdr)

  Benjamini-Hochberg method. Determines the maximum p value to maintain the false discovery rate. (Assuming pvalues are independent);

  Parameters:
    `pvalues` - list of pvalues. Need not be sorted.
    `fdr` - false discovery rate
  Returns:
    The maximum pvalue that maintains the false discovery rate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.